package com.xinyilu.system.domain.applet;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description 小程序端幼儿园班级信息实体类
 * @Author 纪寒
 * @Date 2022-08-18 13:47:30
 * @Version 1.0
 */
@Data
public class AppletClassInfo implements Serializable {
    private static final long serialVersionUID = -6379311491174582573L;
    /**
     * 幼儿园名称
     */
    private String kindergartenName;

    /**
     * 班主任
     */
    private String classTeacher;

    /**
     * 幼儿园id
     */
    private Long kindergartenId;

    /**
     * 幼儿园地址
     */
    private String kindergartenAddress;

    /**
     * 幼儿园联系电话
     */
    private String kindergartenPhone;

    /**
     * 幼儿园类型，public_handle：公办，private_handle：私有
     */
    private String kindergartenType;

    /**
     * 幼儿园园长id
     */
    private Long principalId;

    /**
     * 幼儿园园长名称
     */
    private String principalName;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        AppletClassInfo scoreVO = (AppletClassInfo) o;
        return Objects.equals(kindergartenId, scoreVO.kindergartenId) && Objects.equals(kindergartenName, scoreVO.kindergartenName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(kindergartenId, kindergartenName);
    }
}
